OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_DoubleMapOfIntegerLabel Class Reference

`#include <TFunction_DoubleMapOfIntegerLabel.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_DoubleMapOfIntegerLabel (const Standard_Integer NbBuckets=1)
Standard_EXPORT TFunction_DoubleMapOfIntegerLabel & | Assign (const TFunction_DoubleMapOfIntegerLabel &Other)
TFunction_DoubleMapOfIntegerLabel & | operator= (const TFunction_DoubleMapOfIntegerLabel &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TFunction_DoubleMapOfIntegerLabel ()
Standard_EXPORT void | Bind (const Standard_Integer &K1, const TDF_Label &K2)
Standard_EXPORT Standard_Boolean | AreBound (const Standard_Integer &K1, const TDF_Label &K2) const
Standard_EXPORT Standard_Boolean | IsBound1 (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | IsBound2 (const TDF_Label &K) const
Standard_EXPORT const TDF_Label & | Find1 (const Standard_Integer &K) const
Standard_EXPORT const Standard_Integer & | Find2 (const TDF_Label &K) const
Standard_EXPORT Standard_Boolean | UnBind1 (const Standard_Integer &K)
Standard_EXPORT Standard_Boolean | UnBind2 (const TDF_Label &K)
## Private Member Functions
Standard_EXPORT | TFunction_DoubleMapOfIntegerLabel (const TFunction_DoubleMapOfIntegerLabel &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_DoubleMapOfIntegerLabel::TFunction_DoubleMapOfIntegerLabel | ( | const Standard_Integer | NbBuckets = `1` | ) |

TFunction_DoubleMapOfIntegerLabel::~TFunction_DoubleMapOfIntegerLabel | ( |  | ) | `[inline]`

Standard_EXPORT TFunction_DoubleMapOfIntegerLabel::TFunction_DoubleMapOfIntegerLabel | ( | const TFunction_DoubleMapOfIntegerLabel & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TFunction_DoubleMapOfIntegerLabel::AreBound | ( | const Standard_Integer & | K1,
|  | const TDF_Label & | K2
| ) | const

Standard_EXPORT TFunction_DoubleMapOfIntegerLabel& TFunction_DoubleMapOfIntegerLabel::Assign | ( | const TFunction_DoubleMapOfIntegerLabel & | Other | ) |

Standard_EXPORT void TFunction_DoubleMapOfIntegerLabel::Bind | ( | const Standard_Integer & | K1,
|  | const TDF_Label & | K2
| ) |

Standard_EXPORT void TFunction_DoubleMapOfIntegerLabel::Clear | ( |  | ) |

Standard_EXPORT const TDF_Label& TFunction_DoubleMapOfIntegerLabel::Find1 | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT const Standard_Integer& TFunction_DoubleMapOfIntegerLabel::Find2 | ( | const TDF_Label & | K | ) | const

Standard_EXPORT Standard_Boolean TFunction_DoubleMapOfIntegerLabel::IsBound1 | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean TFunction_DoubleMapOfIntegerLabel::IsBound2 | ( | const TDF_Label & | K | ) | const

void TFunction_DoubleMapOfIntegerLabel::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_DoubleMapOfIntegerLabel::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_DoubleMapOfIntegerLabel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TFunction_DoubleMapOfIntegerLabel& TFunction_DoubleMapOfIntegerLabel::operator= | ( | const TFunction_DoubleMapOfIntegerLabel & | Other | ) | `[inline]`

Standard_EXPORT void TFunction_DoubleMapOfIntegerLabel::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TFunction_DoubleMapOfIntegerLabel::UnBind1 | ( | const Standard_Integer & | K | ) |

Standard_EXPORT Standard_Boolean TFunction_DoubleMapOfIntegerLabel::UnBind2 | ( | const TDF_Label & | K | ) |

The documentation for this class was generated from the following file:

- TFunction_DoubleMapOfIntegerLabel.hxx